Bug 219096 - gnu-smalltalk fails to build on x86_64
Summary: gnu-smalltalk fails to build on x86_64
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnu-smalltalk   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ExcludeArch-x64, F-ExcludeArch-x64
TreeView+ depends on / blocked
 
Reported: 2006-12-10 18:41 UTC by Jochen Schmitt
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 16:36:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jochen Schmitt 2006-12-10 18:41:38 UTC
Description of problem:

build of gnu-smalltalk failed to build on x86_64, becouse the testsuite failed
on the intmath with a segfault.

Reference:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/23119-gnu-smalltalk-2.3-3.fc7/x86_64/build.log

Comment 1 Paolo Bonzini 2006-12-10 19:16:51 UTC
reduced testcase should be:

^100 factorial / 99 factorial

or maybe even

^93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000
/933262154439441526816992388562667004907159682643816214685929638952175999932299156089414639761565182862536979208272237582511852109168640000000000000000000000

Comment 2 Paolo Bonzini 2006-12-11 16:30:42 UTC
reduced testcase is

^93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000
gcd:
933262154439441526816992388562667004907159682643816214685929638952175999932299156089414639761565182862536979208272237582511852109168640000000000000000000000


patch will be included in the next upstream version (together with the
gst-package and gst-config fixes currently worked around).

Comment 3 Jochen Schmitt 2007-01-31 16:36:51 UTC
The reported problem was fixed with the new released version 2.3.2 of gnu-smalltalk.

Comment 4 Paolo Bonzini 2007-01-31 16:39:44 UTC
though, ISTR that you were still having problems after the fix for intmath.st
went in...

Comment 5 Jochen Schmitt 2007-02-08 16:23:34 UTC
Can you tell me more about this bug, aspecialy how I can reproduced this bug.


Note You need to log in before you can comment on or make changes to this bug.